"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    // 打开蓝牙适配器失败
    openAdapterError: 1000,
    // 关闭蓝牙适配器失败
    closeAdapterError: 1001,
    // 蓝牙检索已经打开
    discoveryStartedError: 1002,
    // 蓝牙检索打开失败
    discoveryError: 1003,
    // 发送数据时存在异常，蓝牙已经断开
    sendError: 1004,
    // 设备已经连接或者已存在连接设备
    alreadyError: 1101,
    // 蓝牙连接失败
    connectionError: 1102,
    // 蓝牙连接时出错
    connectingError: 1103,
    // 蓝牙未连接
    notConnected: 1104,
    // 设备未连接，无需断开
    cantCloseError: 1201,
    // 关闭连接错误
    closeError: 1202,
    // 停止蓝牙检索失败
    stopDiscoveryError: 1203,
    // 未找到需要连接的设备
    notFoundDeviceError: 1301,
    // 未发现可用服务
    notFoundServiceError: 1302,
    // 未找到需要连接的设备或服务
    notFoundDeviceServiceError: 1303,
    // 未找到需要连接的设备/服务/服务特征
    notFoundAllError: 1304,
    // 未找到蓝牙版本
    notFoundVersionError: 1305,
    // 获取特征值失败
    getCharacteristicsError: 1401,
    // 蓝牙认证失败
    authFailError: 1501,
    // 蓝牙不可写入
    cantWriteableError: 1502,
    // 设备正在接收或处理数据，稍后再试
    processOnError: 1601,
    // 处理时发生错误
    handleError: 1602,
    // 蓝牙认证信息返回长度不足，请重试
    authDataLenError: 2001,
    // 数据错误
    encodeAuthError: 2002,
    encodePassError: 2003,
    // 设备状态错误
    deviceStateError: 2004,
    // 蓝牙信息标识错误
    labelError: 2005,
    // 返回CMD错误
    cmdError: 2006,
    // 操作失败
    operateFailError: 2007,
    // 采集错误
    pickError: 2008,
    // 参数错误
    paramsError: 2040,
};
