"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Crc = void 0;
var hexByInt = function (str) {
    var arr = [];
    if (str.length % 2 !== 0) {
        str = "0" + str;
    }
    for (var i = 0; i < str.length; i += 2) {
        arr.push(parseInt(str.substring(i, i + 2), 16));
    }
    return arr;
};
var Crc = /** @class */ (function () {
    function Crc() {
    }
    Crc.crc16XMode = function (text, l) {
        if (l === void 0) { l = 0; }
        var length = l === 0 ? text.length / 2 : l;
        var bytes = hexByInt(text);
        var crc = 0x0000;
        var polynomial = 0x1021;
        for (var index = 0; index < length; index++) {
            var b = bytes[index];
            for (var i = 0; i < 8; i++) {
                // tslint:disable-next-line: no-bitwise
                var bit = ((b >> (7 - i) & 1) === 1);
                // tslint:disable-next-line: no-bitwise
                var c15 = ((crc >> 15 & 1) === 1);
                // tslint:disable-next-line: no-bitwise
                crc <<= 1;
                // @ts-ignore
                // tslint:disable-next-line: no-bitwise
                if (c15 ^ bit)
                    // tslint:disable-next-line: no-bitwise
                    crc ^= polynomial;
            }
        }
        // tslint:disable-next-line: no-bitwise
        crc &= 0xffff;
        // 输出String字样的16进制
        var strCrc = crc.toString(16).toLocaleUpperCase();
        return strCrc.padStart(4, '0');
    };
    return Crc;
}());
exports.Crc = Crc;
