import { Version, DeviceDetail } from "./Version";
import { Methods, PickDetailType, PickDetail, FindOrDeleteDetail } from '../BlueService';
export declare class YXVersion extends Version {
    handle(method: Methods, detail: PickDetailType): void;
    handleData(uuid: string): void;
    handleResult(res: string): void;
    turnOn(detail: PickDetail): void;
    turnOff(detail?: {
        name?: string;
        expire?: string;
        mobile?: string;
        ecsNo?: string;
    }): void;
    pickUpFace(detail: PickDetail): void;
    deleteFace(detail: FindOrDeleteDetail): void;
    findFace(detail: FindOrDeleteDetail): void;
    clearFace(detail: {
        ecsNo?: string;
    }): void;
    pickUpFinger(detail: PickDetail): void;
    deleteFinger(detail: FindOrDeleteDetail): void;
    clearFinger(detail?: null): void;
    findFinger(detail: FindOrDeleteDetail): void;
    fetchFingers(detail?: null): void;
    addDevice(detail: DeviceDetail): void;
    deleteDevice(detail: DeviceDetail): void;
    getDevices(): void;
    getDeviceMac(detail: DeviceDetail): void;
    getDevicesOnline(): void;
    devicePickFinger(detail: DeviceDetail): void;
    deviceDeleteFinger(detail: DeviceDetail): void;
    deviceClearFinger(detail: DeviceDetail): void;
    deviceGetFinger(detail: DeviceDetail): void;
}
