import { Version } from "./Version";
import { Methods, PickDetailType, PickDetail } from '../BlueService';
export declare const G_PWD = "03000131C024";
export declare class ZL1Version extends Version {
    decodeBlueRsaData(data: string, hasHead?: boolean): string;
    encodeBlueRsaData(data: string): string[];
    encodeStr(o: string, cmd?: string, HasHead?: boolean, code?: string, data?: string): string;
    handle(method: Methods, detail: PickDetailType): void;
    auth(uuid: string): void;
    handlePassword(password: string): void;
    handleResult(res: string): void;
    handleData(uuid: string): void;
    turnOn: (detail: PickDetail) => void;
    turnOff: (detail?: {}) => void;
}
